Generation Framework

## org.eclipse.gmf.mappings.provider
Class EcoreItemProviderAdapterFactoryEx

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ecore.util.EcoreAdapterFactory
              org.eclipse.emf.ecore.provider.EcoreItemProviderAdapterFactory
                  org.eclipse.gmf.mappings.provider.EcoreItemProviderAdapterFactoryEx

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class EcoreItemProviderAdapterFactoryEx

extends org.eclipse.emf.ecore.provider.EcoreItemProviderAdapterFactory

Field Summary

Fields inherited from class org.eclipse.emf.ecore.provider.EcoreItemProviderAdapterFactory

`changeNotifier, eAnnotationItemProvider, eAttributeItemProvider, eClassItemProvider, eDataTypeItemProvider, eEnumItemProvider, eEnumLiteralItemProvider, eFactoryItemProvider, eGenericTypeItemProvider, eObjectItemProvider, eOperationItemProvider, ePackageItemProvider, eParameterItemProvider, eReferenceItemProvider, eStringToStringMapEntryItemProvider, eTypeParameterItemProvider, parentAdapterFactory, supportedTypes`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`EcoreItemProviderAdapterFactoryEx()`

Method Summary

Methods inherited from class org.eclipse.emf.ecore.provider.EcoreItemProviderAdapterFactory

`adapt, adapt, addListener, createEAnnotationAdapter, createEAttributeAdapter, createEClassAdapter, createEDataTypeAdapter, createEEnumAdapter, createEEnumLiteralAdapter, createEFactoryAdapter, createEGenericTypeAdapter, createEObjectAdapter, createEOperationAdapter, createEPackageAdapter, createEParameterAdapter, createEReferenceAdapter, createEStringToStringMapEntryAdapter, createETypeParameterAdapter, dispose, fireNotifyChanged, getRootAdapterFactory, isFactoryForType, removeListener, setParentAdapterFactory`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreAdapterFactory
`createAdapter, createEClassifierAdapter, createEModelElementAdapter, createENamedElementAdapter, createEStructuralFeatureAdapter, createETypedElementAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### EcoreItemProviderAdapterFactoryEx

    public EcoreItemProviderAdapterFactoryEx()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.